| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::optflow::GPCTrainingParams Struct Reference
Optical Flow Algorithms

Class encapsulating training parameters. More...

`#include <opencv2/optflow/sparse_matching_gpc.hpp>`

## Public Member Functions
| GPCTrainingParams (unsigned _maxTreeDepth=20, int _minNumberOfSamples=3, GPCDescType _descriptorType=GPC_DESCRIPTOR_DCT, bool _printProgress=true)
| GPCTrainingParams (const GPCTrainingParams &params)
bool | check () const

## Public Attributes
int | descriptorType
| Type of descriptors to use. More...
unsigned | maxTreeDepth
| Maximum tree depth to stop partitioning. More...
int | minNumberOfSamples
| Minimum number of samples in the node to stop partitioning. More...
bool | printProgress
| Print progress to stdout. More...

## Detailed Description

Class encapsulating training parameters.

## Constructor & Destructor Documentation

## § GPCTrainingParams() [1/2]

cv::optflow::GPCTrainingParams::GPCTrainingParams | ( | unsigned | _maxTreeDepth = `20`,
|  | int | _minNumberOfSamples = `3`,
|  | GPCDescType | _descriptorType = `GPC_DESCRIPTOR_DCT`,
|  | bool | _printProgress = `true`
| ) |  |
| inline

## § GPCTrainingParams() [2/2]

cv::optflow::GPCTrainingParams::GPCTrainingParams | ( | const GPCTrainingParams & | params | ) |
| inline

## Member Function Documentation

## § check()

bool cv::optflow::GPCTrainingParams::check | ( |  | ) | const
| inline

## Member Data Documentation

## § descriptorType

int cv::optflow::GPCTrainingParams::descriptorType

Type of descriptors to use.

## § maxTreeDepth

unsigned cv::optflow::GPCTrainingParams::maxTreeDepth

Maximum tree depth to stop partitioning.

## § minNumberOfSamples

int cv::optflow::GPCTrainingParams::minNumberOfSamples

Minimum number of samples in the node to stop partitioning.

## § printProgress

bool cv::optflow::GPCTrainingParams::printProgress

Print progress to stdout.

The documentation for this struct was generated from the following file:

- opencv2/optflow/sparse_matching_gpc.hpp